# All animations at half their speed
Framer.Loop.delta = Framer.Loop.delta / 2


# GRID BACKGROUND
grid.props =
	image: "images/gridlines.png"
	style:
		backgroundPosition: "0px 0px"
		backgroundRepeat: "repeat"
		backgroundSize: "auto"


# STATES FOR THE BLUE DOTS
for dot in [blue_dot_1, blue_dot_2, blue_dot_3, blue_dot_4]
	# «active» state + overriding the «default» state
	dot.states =
		active:
			opacity: 1
			scale: 1.5
		default:
			opacity: 0
			scale: 1
	
	# set to «default»
	dot.stateSwitch "default"


# FLOW COMPONENT
flow = new FlowComponent
	point: Align.center
	size: screen_1.size
	parent: grid


# TRANSITION EVENTS
flow.onTransitionStart ->
	blue_dot_1.stateSwitch "active"
	blue_dot_1.animate "default"

flow.onTransitionHalt ->
	blue_dot_2.stateSwitch "active"
	blue_dot_2.animate "default"

flow.onTransitionStop ->
	blue_dot_3.stateSwitch "active"
	blue_dot_3.animate "default"

flow.onTransitionEnd ->
	blue_dot_4.stateSwitch "active"
	blue_dot_4.animate "default"


# BUTTONS
button_showNext_1.onTapStart ->
	@backgroundColor = "rgba(153,153,153,1)"
button_showNext_1.onTap ->
	@backgroundColor = "white"
	flow.showNext screen_1

button_showNext_2.onTapStart ->
	@backgroundColor = "rgba(153,153,153,1)"
button_showNext_2.onTap ->
	@backgroundColor = "white"
	flow.showNext screen_2

button_showPrevious.onTapStart ->
	@backgroundColor = "rgba(153,153,153,1)"
button_showPrevious.onTap ->
	@backgroundColor = "white"
	
	# This fixes placement when a screen was used more than once
	if flow.previous
		flow.previous.placeBehind flow.current
		flow.previous.x = - flow.width / 2
	
	flow.showPrevious()
